# PCBJacobiGetSubKSP

Gets the local KSP contexts for all blocks on this processor.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCBJacobiGetSubKSP(PC pc,PetscInt *n_local,PetscInt *first_local,KSP *ksp[])

Note Collective

### Input Parameter

pc -the preconditioner context

### Output Parameters

| n_local | - the number of blocks on this processor, or PETSC_NULL
| first_local | - the global number of the first block on this processor, or PETSC_NULL
| ksp | - the array of KSP contexts

### Notes

After PCBJacobiGetSubKSP() the array of KSP contexts is not to be freed.

Currently for some matrix implementations only 1 block per processor is supported.

You must call KSPSetUp() or PCSetUp() before calling PCBJacobiGetSubKSP().

### Keywords

block, Jacobi, get, sub, KSP, context

### See Also

PCBJacobiGetSubKSP()

Level:advanced
Location: src/ksp/pc/impls/bjacobi/bjacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex7.c.html